package cz.cvut.fel.pr2.telefonniseznam;

import cz.cvut.fel.pr2.telefonniseznam.data.TelefonniSeznam;
import cz.cvut.fel.pr2.telefonniseznam.data.Kontakt;
import cz.cvut.fel.pr2.telefonniseznam.data.KontaktPodleCislaComparator;

/**
 *
 * @author balikm1
 */
public class Main {
    
    public static TelefonniSeznam vytvorSeznam() {
        TelefonniSeznam seznam = new TelefonniSeznam();
        seznam.pridejKontakt(new Kontakt("Jan", "Novák", "776123456"));
        seznam.pridejKontakt(new Kontakt("Zbyněk", "Šulc", "601375834"));
        seznam.pridejKontakt(new Kontakt("Jiří", "Suchý", "608937584"));
        seznam.pridejKontakt(new Kontakt("Ondřej", "Rychlý", "776292938"));
        seznam.pridejKontakt(new Kontakt("Petr", "Čech", "777123456"));
        seznam.pridejKontakt(new Kontakt("Pavel", "Čech", "777123457"));
        return seznam;
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        TelefonniSeznam seznam = vytvorSeznam();

        seznam.serad();
        System.out.println(seznam);
        
        System.out.print("\n\n");

        seznam.smazKontakt(new Kontakt("Petr", "Čech", "777123456"));
        seznam.serad(new KontaktPodleCislaComparator());
        System.out.println(seznam);
    }

}
